# Building Games with Flutter

<a href="https://www.packtpub.com/product/flutter-for-beginners-second-edition/9781800565999?utm_source=github&utm_medium=repository&utm_campaign=9781800565999"><img src="https://static.packt-cdn.com/products/9781801816984/cover/smaller" alt="Building Games with Flutter" height="256px" align="right"></a>

This is the code repository for [Building Games with Flutter](https://www.packtpub.com/product/building-games-with-flutter/9781801816984?utm_source=github&utm_medium=repository&utm_campaign=9781801816984), published by Packt.

**The ultimate guide to creating multiplayer games using the Flame engine in Flutter**

## What is this book about?
With its powerful tools and quick implementation capabilities, Flutter provides a new way to build scalable cross-platform apps. In this book, you'll learn how to build on your knowledge and use Flutter as the foundation for creating games.

This book covers the following exciting features: <First 5 What you'll learn points>
* Discover the Flame engine and how to use it in game programming in Flutter
* Organize the graphics and sounds used in your game
* Animate a sprite in your games and detect when the player collides with tiles
* Run the game as a web page and desktop app
* Expand our player control with key navigation

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1801816980) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>


## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
 @override
  void render(Canvas canvas) {
    canvas.drawRect(squarePos, squarePaint); // Draw the green square on the canvas
  }

```

**Following is what you need for this book:**
If you are a Flutter developer looking to apply your Flutter programming skills to games development, this book is for you. Basic knowledge of Dart will assist with understanding the concepts covered.

With the following software and hardware list you can run all code files present in the book (Chapter 1-11).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 1-11       | Flutter v2.8                     | Windows, Mac OS X, and Linux (Any) |
| 1-11        | Flame v1.0.0            | Windows, Mac OS X, and Linux (Any) |
| 1-11        | Dart 2.16.x            | Windows, Mac OS X, and Linux (Any) |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://static.packt-cdn.com/downloads/9781801816984_ColorImages.pdf).

### Related products <Other books you may enjoy>
* Flutter for Beginners – Second Edition [[Packt]](https://www.packtpub.com/product/flutter-for-beginners-second-edition/9781800565999?utm_source=github&utm_medium=repository&utm_campaign=9781800565999) [[Amazon]](https://www.amazon.com/dp/1800565992)

* Flutter Cookbook [[Packt]](https://www.packtpub.com/product/flutter-cookbook/9781838823382?utm_source=github&utm_medium=repository&utm_campaign=9781838823382) [[Amazon]](https://www.amazon.com/dp/1838823387)

## Get to Know the Author
**Paul Teale**
was born and raised in Leeds, West Yorkshire before moving to London to pursue a career in software engineering. He has been a software engineer for 25+ years covering backend, web, and mobile, where he has spent the last 12 years as a mobile developer covering Android and more recently Flutter. He has worked on many large projects during his career for companies like Discovery, Sky, Shazam, Visa, NBC, and Channel 5. He is a massive sci-fi fan and loves watching all the latest movies. He is happily married for the last 15 years to Mariel where they live together in West London with their son Alfie and their 2 cats.




